%define pypi_name PasteDeploy
%define pkg_name pastedeploy

Name:           python-%{pkg_name}
Version:        3.1.0
Release:        %mkrel 3
Summary:        Load, configure, and compose WSGI applications and servers
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/PasteDeploy/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This tool provides code to load WSGI applications and servers from URIs. These
URIs can refer to Python eggs for INI-style configuration files. Paste Script
provides commands to serve applications based on this configuration file.

%package -n     python3-%{pkg_name}
Summary:        Load, configure, and compose WSGI applications and servers
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
This tool provides code to load WSGI applications and servers from URIs. These
URIs can refer to Python eggs for INI-style configuration files. Paste Script
provides commands to serve applications based on this configuration file.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%check
%tox

%install
%pyproject_install -- --single-version-externally-managed
%pyproject_save_files paste 

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README.rst
%{python3_sitelib}/PasteDeploy*-nspkg.pth


%changelog
* Sat Mar 01 2025 wally <wally> 3.1.0-3.mga10
+ Revision: 2155525
- rebuild for python3.13

* Fri Feb 02 2024 papoteur <papoteur> 3.1.0-2.mga10
+ Revision: 2036873
- rebuild for python 3.12
- use tox for tests
- rebuild for python3.12
- adapt to pyproject

* Sun Mar 27 2022 umeabot <umeabot> 2.1.1-3.mga9
+ Revision: 1828905
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 2.1.1-2.mga9
+ Revision: 1783389
- rebuild for python-3.10

* Wed Mar 24 2021 guillomovitch <guillomovitch> 2.1.1-1.mga9
+ Revision: 1709191
- new version 2.1.1

* Sun Feb 16 2020 umeabot <umeabot> 2.0.1-3.mga8
+ Revision: 1532179
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 2.0.1-2.mga8
+ Revision: 1441862
- rebuild for python3.8
- drop python2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 2.0.1-1.mga8
+ Revision: 1417157
- new version 2.0.1

* Wed Sep 19 2018 umeabot <umeabot> 1.5.0-12.mga7
+ Revision: 1274705
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 1.5.0-11.mga6
+ Revision: 934521
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-10.mga5
+ Revision: 747521
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.5.0-9.mga5
+ Revision: 729312
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-8.mga5
+ Revision: 688206
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.5.0-6.mga4
+ Revision: 544985
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 neoclust <neoclust> 1.5.0-5.mga4
+ Revision: 500587
- Only own pastedeloy dirs

* Tue Oct 15 2013 pterjan <pterjan> 1.5.0-4.mga4
+ Revision: 500571
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.5.0-3.mga3
+ Revision: 379254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 1.5.0-2.mga3
+ Revision: 313576
- Remove useless patch
- New version 1.5.0

* Sat Nov 03 2012 neoclust <neoclust> 1.3.4-1.mga3
+ Revision: 313531
- imported package python-pastedeploy


* Tue Nov 09 2010 Lev Givon <lev@mandriva.org> 1.3.4-1mdv2011.0
+ Revision: 595342
- import python-pastedeploy


